MGASA-2021-0212 - Updated avahi packages fix a security vulnerability

Publication date: 16 May 2021
URL: https://advisories.mageia.org/MGASA-2021-0212.html
Type: security
Affected Mageia releases: 7, 8
CVE: CVE-2021-3468

Avoid infinite loop by handling HUP event in client_work. (CVE-2021-3468)

References:
- https://bugs.mageia.org/show_bug.cgi?id=28901
- https://lists.opensuse.org/archives/list/[email protected]/message/VCPLDL2TVAMUG4CYPGSPUHQ3KJXENCPN/
- https://bugzilla.redhat.com/show_bug.cgi?id=1939614
- https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=984938
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3468

SRPMS:
- 8/core/avahi-0.8-6.1.mga8
- 7/core/avahi-0.7-4.1.mga7